PowerShell script exchange
Post Reply
liorme
Influencer
Posts: 21
Liked: never
Joined: Mar 12, 2019 6:29 am
Full Name: lior
Contact:

script problem after upgrading to v10

Post by liorme »

this line :

Code: Select all

$vbrsessions = Get-VBRBackupSession | Where-Object {$_.JobType -eq "Backup" -and $_.EndTime -ge (Get-Date).adddays(-$DaysToCheck)}
gives me this error :

Code: Select all

+ $vbrsessions = Get-VBRBackupSession | Where-Object {$_.JobType -eq "B ...
+                ~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [], NotImplementedException
    + FullyQualifiedErrorId : System.NotImplementedException
i have 2 more scripts for both copy and replicate, and they work just fine
maybe something has changed in v10?

veremin
Product Manager
Posts: 17914
Liked: 1675 times
Joined: Oct 26, 2012 3:28 pm
Full Name: Vladimir Eremin
Contact:

Re: script problem after upgrading to v10

Post by veremin »

Can you provide us with the full script and error description? And what product version are you using (10 or 10a)? Thanks!

oleg.feoktistov
Veeam Software
Posts: 590
Liked: 209 times
Joined: Sep 25, 2019 10:32 am
Full Name: Oleg Feoktistov
Contact:

Re: script problem after upgrading to v10

Post by oleg.feoktistov » 1 person likes this post

Hi @liorme,

In your future queries, please, wrap any script blocks you post in [code\][/code] tags ("\" in [code\] is an escape character to show the actual tag. You should use tags without it). Especially, if they are large and contain exceptions. It becomes easier to select for further troubleshooting and looks clearer overall. Corrected for now.

As for the issue - I tested your script on both v10 P2 and v10a VBR instances and it works flawlessly. So, kindly comment on @veremin
questions. Let's see how we can help you.

Thanks,
Oleg

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests